Package com.io7m.jcamera

# Interface JCameraFPSStyleAngularIntegratorType

All Superinterfaces:
  `JCameraIntegratorType`

All Known Subinterfaces:
  `JCameraFPSStyleIntegratorType`

All Known Implementing Classes:
  `JCameraFPSStyleAngularIntegrator`

public interface JCameraFPSStyleAngularIntegratorType extends JCameraIntegratorType
The type of integrators that integrate angular movement for `JCameraFPSStyleType` cameras.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `integratorAngularSetAccelerationHorizontal(double a)`
  Set the acceleration around the horizontal axis to `a`.
  `void`
  `integratorAngularSetAccelerationVertical(double a)`
  Set the acceleration around the vertical axis to `a`.
  `void`
  `integratorAngularSetDragHorizontal(double d)`
  Set the drag around the horizontal axis to `a`.
  `void`
  `integratorAngularSetDragVertical(double d)`
  Set the drag around the vertical axis to `a`.
  `void`
  `integratorAngularSetMaximumSpeedHorizontal(double s)`
  Set the maximum rotation speed around the horizontal axis to `s`.
  `void`
  `integratorAngularSetMaximumSpeedVertical(double s)`
  Set the maximum rotation speed around the vertical axis to `s` .
  `JCameraFPSStyleReadableType`
  `integratorGetCamera()`
  `JCameraFPSStyleInputType`
  `integratorGetInput()`

  ### Methods inherited from interface com.io7m.jcamera.JCameraIntegratorType

  `integrate`

- ## Method Details

  - ### integratorAngularSetAccelerationHorizontal

    void integratorAngularSetAccelerationHorizontal(double a)
    Set the acceleration around the horizontal axis to `a`.
    Parameters:
      `a` - The acceleration value.

  - ### integratorAngularSetAccelerationVertical

    void integratorAngularSetAccelerationVertical(double a)
    Set the acceleration around the vertical axis to `a`.
    Parameters:
      `a` - The acceleration value.

  - ### integratorAngularSetDragHorizontal

    void integratorAngularSetDragHorizontal(double d)
    Set the drag around the horizontal axis to `a`.
    Parameters:
      `d` - The drag value.

  - ### integratorAngularSetDragVertical

    void integratorAngularSetDragVertical(double d)
    Set the drag around the vertical axis to `a`.
    Parameters:
      `d` - The drag value.

  - ### integratorAngularSetMaximumSpeedHorizontal

    void integratorAngularSetMaximumSpeedHorizontal(double s)
    Set the maximum rotation speed around the horizontal axis to `s`.
    Parameters:
      `s` - The maximum rotation speed.

  - ### integratorAngularSetMaximumSpeedVertical

    void integratorAngularSetMaximumSpeedVertical(double s)
    Set the maximum rotation speed around the vertical axis to `s` .
    Parameters:
      `s` - The maximum rotation speed.

  - ### integratorGetCamera

    JCameraFPSStyleReadableType integratorGetCamera()
    Returns:
      The camera that will be affected by the integrator

  - ### integratorGetInput

    JCameraFPSStyleInputType integratorGetInput()
    Returns:
      The input used to drive the integrator.